This page was not yet optimized for use on mobile devices.
Security Builder® FIPS Module
Certificate details
| Certificate ID | #3715 |
|---|---|
| Status | historical |
| Historical reason | Moved to historical list due to sunsetting |
| Validation dates | 28.09.2020 |
| Standard | FIPS 140-2 |
| Security level | 1 |
| Type | Software |
| Embodiment | Multi-Chip Stand Alone |
| Caveat | When operated in FIPS mode. This validation entry is a non-security-relevant modification to Cert. #1729 |
| Exceptions |
|
| Description | The Security Builder® FIPS Module is a standards-based cryptographic toolkit that supports optimized Elliptic Curve Cryptography and provides application developers with sophisticated tools to flexibly integrate encryption, digital signatures and other security mechanisms into both mobile and server-based applications. The Security Builder FIPS Module is part of the Certicom Security Architecture, a comprehensive cross-platform security solution which supports multiple cryptographic software and hardware providers with a single common API. |
| Tested configurations |
|
| Vendor | Certicom Corp. http://www.certicom.com |
| Lab | Lightship Security, Inc. |
| Algorithms | |
| References | This certificate's webpage directly references 1 certificates, transitively this expands into 1 certificates. |
Security policy
Extracted keywords
Symmetric Algorithms
AES, DES, TDES, Triple-DES, HMAC, HMAC-SHA-224, HMAC-SHA-256, HMAC-SHA-384, HMAC-SHA-512, CMACAsymmetric Algorithms
ECDH, ECDSA, ECIES, ECC, DH, Diffie-Hellman, DSAHash functions
SHA-1, SHA-224, SHA-256, SHA-384, SHA-512, MD4, MD5Schemes
KEM, Key AgreementProtocols
SSLRandomness
DRBG, RNGBlock cipher modes
ECB, CBC, CTR, GCM, CCM, XTSSecurity level
Level 1Side-channel analysis
Timing Attack, Timing Attacks, Bleichenbacher attackAutomated analysis
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.No automatically derived data are available in this section.
Cross-references
Loading...
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate was first processed.
{
"_type": "sec_certs.sample.fips.FIPSCertificate",
"cert_id": 3715,
"dgst": "6c97aad35e1926d2",
"heuristics": {
"_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
"algorithms": {
"_type": "Set",
"elements": [
"#894",
"HMAC#2571",
"Triple-DES#1159",
"#1571",
"RSA#1574",
"#579",
"#367",
"DSA#563",
"SHS#2530",
"KAS#79",
"KAS#25",
"#1914",
"CVL#7",
"AES#3029",
"RSA#2017",
"#1773",
"#2530",
"#79",
"#1054",
"DSA#1076",
"HMAC#1914",
"#2164",
"Triple-DES#2164",
"DRBG#579",
"#1159",
"KAS#50",
"CVL#367",
"#563",
"#1151",
"#891",
"DSA#891",
"SHS#1571",
"DRBG#1151",
"SHS#3256",
"DRBG#127",
"#242",
"ECDSA#553",
"#3946",
"#2017",
"#3029",
"Triple-DES#1773",
"#866",
"HMAC#1054",
"RSA#894",
"ECDSA#242",
"AES#3946",
"#789",
"#127",
"#2571",
"#1076",
"#3256",
"#553",
"CVL#789",
"ECDSA#866",
"#1789",
"#1574",
"AES#1789",
"#50"
]
},
"cpe_matches": null,
"direct_transitive_cves": null,
"extracted_versions": {
"_type": "Set",
"elements": [
"-"
]
},
"indirect_transitive_cves": null,
"module_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": {
"_type": "Set",
"elements": [
"1729"
]
},
"indirectly_referenced_by": null,
"indirectly_referencing": {
"_type": "Set",
"elements": [
"1729"
]
}
},
"module_prunned_references": {
"_type": "Set",
"elements": [
"1729"
]
},
"policy_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"policy_prunned_references": {
"_type": "Set",
"elements": []
},
"related_cves": null,
"verified_cpe_matches": null
},
"pdf_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
"br1_deviations": 43,
"br1_tables": null,
"is_br1_format": false,
"keywords": {
"asymmetric_crypto": {
"ECC": {
"ECC": {
"ECC": 2
},
"ECDH": {
"ECDH": 11
},
"ECDSA": {
"ECDSA": 12
},
"ECIES": {
"ECIES": 2
}
},
"FF": {
"DH": {
"DH": 13,
"Diffie-Hellman": 2
},
"DSA": {
"DSA": 12
}
}
},
"certification_process": {},
"cipher_mode": {
"CBC": {
"CBC": 6
},
"CCM": {
"CCM": 3
},
"CTR": {
"CTR": 2
},
"ECB": {
"ECB": 6
},
"GCM": {
"GCM": 3
},
"XTS": {
"XTS": 2
}
},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {},
"crypto_protocol": {
"TLS": {
"SSL": {
"SSL": 1
}
}
},
"crypto_scheme": {
"KA": {
"Key Agreement": 1
},
"KEM": {
"KEM": 2
}
},
"device_model": {},
"ecc_curve": {},
"eval_facility": {},
"fips_cert_id": {
"Cert": {
"#1": 5,
"#1054": 5,
"#1076": 1,
"#1151": 1,
"#1159": 1,
"#127": 1,
"#1571": 5,
"#1789": 1,
"#2017": 1,
"#2164": 1,
"#242": 1,
"#25": 3,
"#2571": 5,
"#3256": 5,
"#3946": 1,
"#50": 1,
"#563": 1,
"#789": 1,
"#79": 2,
"#866": 1,
"#894": 1
}
},
"fips_certlike": {
"Certlike": {
"DSA 11": 1,
"HMAC-SHA-1": 4,
"HMAC-SHA-224": 4,
"HMAC-SHA-256": 2,
"HMAC-SHA-384": 4,
"HMAC-SHA-512": 4,
"HMAC-SHA1": 2,
"HMAC-SHA256": 2,
"PKCS #1": 7,
"PKCS1": 3,
"RSA #1": 1,
"RSA 2": 1,
"RSA PKCS #1": 1,
"RSA PKCS1": 3,
"SHA-1": 3,
"SHA-224": 2,
"SHA-256": 2,
"SHA-384": 2,
"SHA-512": 2
}
},
"fips_security_level": {
"Level": {
"Level 1": 4
}
},
"hash_function": {
"MD": {
"MD4": {
"MD4": 2
},
"MD5": {
"MD5": 2
}
},
"SHA": {
"SHA1": {
"SHA-1": 3
},
"SHA2": {
"SHA-224": 2,
"SHA-256": 2,
"SHA-384": 2,
"SHA-512": 2
}
}
},
"ic_data_group": {},
"javacard_api_const": {},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {
"PRNG": {
"DRBG": 7
},
"RNG": {
"RNG": 9
}
},
"side_channel_analysis": {
"SCA": {
"Timing Attack": 2,
"Timing Attacks": 1
},
"other": {
"Bleichenbacher attack": 1
}
},
"standard_id": {
"FIPS": {
"FIPS 140-2": 12,
"FIPS 180-4": 5,
"FIPS 186-2": 1,
"FIPS 186-4": 4,
"FIPS 197": 1,
"FIPS 198": 5,
"FIPS 46-3": 1,
"FIPS PUB 140-2": 6
},
"NIST": {
"NIST SP 800-131A": 2,
"NIST SP 800-56A": 5,
"NIST SP 800-56B": 1,
"NIST SP 800-90": 2,
"SP 800-56A": 1
},
"PKCS": {
"PKCS #1": 4,
"PKCS1": 3
},
"RFC": {
"RFC 1115": 1,
"RFC 1320": 1,
"RFC 1321": 1,
"RFC 2104": 1,
"RFC 2268": 1,
"RFC 3566": 1
}
},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES": 13
}
},
"DES": {
"3DES": {
"TDES": 7,
"Triple-DES": 2
},
"DES": {
"DES": 2
}
},
"constructions": {
"MAC": {
"CMAC": 2,
"HMAC": 5,
"HMAC-SHA-224": 2,
"HMAC-SHA-256": 1,
"HMAC-SHA-384": 2,
"HMAC-SHA-512": 2
}
}
},
"tee_name": {},
"tls_cipher_suite": {},
"vendor": {},
"vulnerability": {}
},
"module_algorithms": {
"_type": "Set",
"elements": [
"HMAC#2571",
"Triple-DES#1159",
"RSA#1574",
"DSA#563",
"SHS#2530",
"KAS#79",
"KAS#25",
"CVL#7",
"AES#3029",
"RSA#2017",
"DSA#1076",
"HMAC#1914",
"Triple-DES#2164",
"DRBG#579",
"KAS#50",
"CVL#367",
"DSA#891",
"SHS#1571",
"DRBG#1151",
"SHS#3256",
"DRBG#127",
"ECDSA#553",
"Triple-DES#1773",
"HMAC#1054",
"RSA#894",
"ECDSA#242",
"AES#3946",
"CVL#789",
"ECDSA#866",
"AES#1789"
]
},
"policy_algorithms": {
"_type": "Set",
"elements": [
"#894",
"#1571",
"#579",
"#367",
"#1914",
"#1773",
"#2530",
"#79",
"#1054",
"#2164",
"#1159",
"#563",
"#1151",
"#891",
"#242",
"#3946",
"#2017",
"#3029",
"#866",
"#789",
"#127",
"#2571",
"#1076",
"#3256",
"#553",
"#1789",
"#1574",
"#50"
]
},
"policy_metadata": {
"/CreationDate": "D:20200922123612Z00\u002700\u0027",
"/Creator": "Word",
"/ModDate": "D:20200922123612Z00\u002700\u0027",
"/Producer": "macOS Version 10.15.6 (Build 19G2021) Quartz PDFContext",
"/Title": "Microsoft Word - SB_GSE_6_0_3_Security_Policy.doc",
"pdf_file_size_bytes": 647271,
"pdf_hyperlinks": {
"_type": "Set",
"elements": []
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 25
}
},
"state": {
"_type": "sec_certs.sample.fips.InternalState",
"module": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": null,
"source_hash": null,
"txt_hash": null
},
"policy": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "954bde5b3daee76bc6c9e9459c4a34a15ccbe1cea0ed29e8ef6abef65c1f970f",
"source_hash": "7c24cbf9607ce4b9ac8017a39e5944c965845abcc8df57c87c2d8fd28ab608d4",
"txt_hash": "6cfe99cbf743e8994b7d393335fed23e3acd014e847f934e77c8133f040407a8"
}
},
"web_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
"caveat": "When operated in FIPS mode. This validation entry is a non-security-relevant modification to Cert. #1729",
"certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/September 2020_011020_0703.pdf",
"date_sunset": null,
"description": "The Security Builder\u00ae FIPS Module is a standards-based cryptographic toolkit that supports optimized Elliptic Curve Cryptography and provides application developers with sophisticated tools to flexibly integrate encryption, digital signatures and other security mechanisms into both mobile and server-based applications. The Security Builder FIPS Module is part of the Certicom Security Architecture, a comprehensive cross-platform security solution which supports multiple cryptographic software and hardware providers with a single common API.",
"embodiment": "Multi-Chip Stand Alone",
"exceptions": [
"Physical Security: N/A"
],
"fw_versions": null,
"historical_reason": "Moved to historical list due to sunsetting",
"hw_versions": null,
"level": 1,
"mentioned_certs": {
"1729": 1
},
"module_name": "Security Builder\u00ae FIPS Module",
"module_type": "Software",
"revoked_link": null,
"revoked_reason": null,
"standard": "FIPS 140-2",
"status": "historical",
"sw_versions": "6.0 [1], 6.0.2 [2] and 6.0.3 [3]",
"tested_conf": [
"Android 4.0.4 running on an Intel based PC with an Intel Atom Z2460 Processor [2]",
"Android 4.4.2 running on an ARM based PC with an ARMv7 Processor [2]",
"Android 5.0.1 running on an ARM based PC with an ARMv8 Processor [2]",
"CentOS Linux 7.1 64-bit running on an Intel based PC with an Intel Core 2 Duo T9400 Processor without AES-NI [2]",
"iOS 6.1.4 running on an Apple iPhone with an ARMv7 Processor [2]",
"iOS 6.1.4 running on an Apple iPhone with an ARMv7S Processor [2]",
"iOS 8.0 running on an Apple iPhone with an on ARMv8 Processor [2]",
"Mac OSX 10.10.4 running on an Apple GPC with an Intel Core i7-3615QM Processor [2]",
"Mac OSX 10.11.4 running on an Apple GPC with an Intel Core i7-3615QM Processor [3]",
"QNX 6.5 running on an Intel based PC with an Intel Pentium III Processor [1]",
"QNX 6.6 running on an ARM based PC with an ARM Cortex A9 MPCore Processor [1]",
"RedHat Linux 5.6 running on an Intel based PC with a 32-bit Intel Core i7 Processor [1]",
"RedHat Linux 5.6 running on an Intel based PC with a 32-bit Intel Core i7 Processor with AES-NI [1]",
"RedHat Linux 5.6 running on an Intel based PC with an Intel Core i5-2300 Processor [1]",
"RedHat Linux 5.6 running on an Intel based PC with an Intel Core i5-2300 Processor with AES-NI [1]",
"Windows 7 Enterprise 32-bit running on an Intel based PC with an Intel Core Duo Processor without AES-NI [2]",
"Windows 7 Enterprise 64-bit running on an Intel based PC with an Intel Core i7-2720QM Processor with AES-NI [2]",
"Windows Phone 8.0 running on an ARM based PC with an ARMv7 Processor [2] (single-user mode)"
],
"validation_history": [
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2020-09-28",
"lab": "Lightship Security, Inc.",
"validation_type": "Initial"
}
],
"vendor": "Certicom Corp.",
"vendor_url": "http://www.certicom.com"
}
}